SEQ(1)

NAZWA
seq - wypisuje kolejne liczby

SKŁADNIA
seq [OPCJA]... OSTATNIA
seq [OPCJA]... PIERWSZA OSTATNIA
seq [OPCJA]... PIERWSZA KROK OSTATNIA

OPIS

Wyświetla liczby od PIERWSZEJ do OSTATNIEJ z krokiem KROK.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-f, --format=FORMAT
    używa FORMATU w stylu zmiennoprzecinkowego formatu printf

-s, --separator=ŁAŃCUCH
    rozdziela liczby ŁAŃCUCHEM (domyślnie: \n)

-w, --equal-width
    wypełnia początkowymi zerami do równej szerokości

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Jeżeli wartości PIERWSZA LUB KROK są pominięte, mają wartość 1. Pominięta wartość KROK wynosi jeden nawet, gdy OSTATNIA wynosi mniej niż PIERWSZA. Sekwencja liczb kończy się, gdy suma bieżącej liczby i KROKU wynosiłaby więcej niż OSTATNIA. PIERWSZA, KROK i OSTATNIA są interpretowane jako liczby zmiennoprzecinkowe. KROK powinien być dodatni, jeżeli PIERWSZA jest mniejsza od OSTATNIEJ lub ujemny w przeciwnym wypadku. Podany FORMAT powinien być odpowiedni do wypisania jednego argumentu typu "double"; domyślnie wynosi %.DOKŁf jeżeli wszystkie: PIERWSZA, KROK i OSTATNIA są liczbami całkowitymi, z maksymalną dokładnością DOKŁ lub %g w przeciwnym wypadku.

AUTOR
Napisane przez Ulricha Dreppera.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu seq proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/seq>
lub lokalnie, za pomocą info '(coreutils) seq invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl>, Przemek Borys (PTM) <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.